<?php
// app/api/deposits/depositvalid
    /***
     * getnewaddress asignar un label para identificar las direcciones ejemplo "afxusers" te permite trabajr multiples direcciones ("afxaddr")<-actual creados de prueba
     * getaddressesbylabel listar direcciones por label
     * listtransactions puedes filtrar solo las transacciones de la cuenta con ese "label"
     * sendtoaddress "address" amount ( "comment" "comment_to" subtractfeefromamount replaceable conf_target "estimate_mode") //Usable para retiros
     * gettransaction "txid" consultar una transacción. 
     * getbalance devuelve el saldo general de la billetera en todas sus direcciones.
     * */
    

    //$mt = microtime(true);
    header("Content-Type:application/json");
    include("../dbconn.php");
    include("../utils.php");
    $out = new stdClass();
    $request = array('method'=>'getaddressesbylabel','parms' => $parms);
    $rest = json_decode(queryServicesBTC($BTC_URL, $request), true);
    $out->entry = $rest;
    /*
    // Validamos que el error no sea nulo para mandar el mensaje
    if($rest['error'] != null){
        badEnd('500',array("msg"=>$rest['error']['message']));
    }*/
    
    // Funcion para obtener direccion 
    /*
    $parms = array("label"=>"afxaddr");
    $request = array('method'=>'getnewaddress','parms' => $parms);
    $rest = json_decode(queryServicesBTC($BTC_URL, $request), true);
    
    $out->entry = $rest;
    // Validamos que el error no sea nulo para mandar el mensaje
    if($rest['error'] != null){
        badEnd('500',array("msg"=>$rest['error']['message']));
    }*/
    
    
    // Funcion para verificar depositos
/*
    $parms = array('label'=>'afxaddr','count'=>200);
    $request = array('method'=>'listaddressgroupings');
    $rest = json_decode(queryServicesBTC($BTC_URL, $request), true);
    $out->entry2 [] = $rest;
    foreach($rest['result'] as $deposit){
        // Validamos que sea recibir dinero
        if($deposit['category'] == 'receive'){
            // SI es recibir, hacemos la busqueda
            $out->entry2 [] = $deposit;
        }
    }
  */  
    // Funcion para realizar Retiros
    /*
    $parms = array('address'=>'bcrt1q4ajscmncqnes4pltevntyjf5a82c8dvxsd3rsy','amount'=>1);
    $request = array('method'=>'sendtoaddress','parms' => $parms);
    $rest = json_decode(queryServicesBTC($BTC_URL, $request), true);
    
    if($rest['error'] != null){
        badEnd('500',array("msg"=>$rest['error']['message']));
    }
    
    $out->entry = $rest;
    */
    // Funcion para verificar retiros
    /*
    $parms = array('txid'=>'1c595b64e087fe68a10302299a8450bd8fed5211d52e0635508a431be34fcd8e');
    $request = array('method'=>'gettransaction','parms' => $parms);
    $rest = json_decode(queryServicesBTC($BTC_URL, $request), true);
    $out->entry = $rest;
    if($rest['details']['category'] == 'send'){
        
        // si es true es que ya fue abandonada y cancelada
        if($rest['details']['abandoned'] == true){
            
        }else{
            
        }
    }*/
    /*
    $parms = array('nblocks'=>5,'address'=>'bcrt1qrnck84qg9lz53emytkxnhalqcu3629k6rx85h6');
    $request = array('method'=>'generatetoaddress','parms' => $parms);
    $rest = json_decode(queryServicesBTC($BTC_URL, $request), true);
    $out->prueba = $rest;
    */
    
    header("HTTP/1.1 200");
    echo(json_encode($out));
    die();
    
?>